// EasyEnumNetResource.cpp: implementation of the CEasyEnumNetResource class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "EasyEnumNetResource.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CEasyEnumNetResourceAbstract ::CEasyEnumNetResourceAbstract ()
{
cEntries = -1 ;       //   
cbBuffer = 16384;     //  
netRc=0;
netRc = (LPNETRESOURCE) GlobalAlloc(GPTR, cbBuffer);
}

CEasyEnumNetResourceAbstract ::~CEasyEnumNetResourceAbstract ()
{
GlobalFree((HGLOBAL)netRc);
}


void CEasyEnumNetResourceAbstract::GetResource()
{
}

void CEasyEnumNetResourceAbstract::OpenEnum()
{
dwResult = WNetOpenEnum(RESOURCE_GLOBALNET, RESOURCETYPE_ANY, 0, NULL, &hEnum); 
if (dwResult != NO_ERROR) throw CString("Error OpenEnum");
GetResource();
dwResult = WNetCloseEnum(hEnum);
if (dwResult != NO_ERROR) throw CString("Error OpenEnum");
}

int CEasyEnumNetResourceAbstract::GetCount()
{
	return cArray.GetSize(); 
}

CString CEasyEnumNetResourceAbstract::GetString(int iIndex)
{
	return cArray.GetAt(iIndex); 
}

void CEasyEnumProvider::GetResource()
{
do 
{
 dwResult = WNetEnumResource(hEnum,&cEntries,netRc,&cbBuffer);
 if( dwResult == NO_ERROR )
 {
 LPNETRESOURCE temp;
 temp=&netRc[0];
 cArray.Add(temp->lpProvider); 
 }
 else break;
}while( dwResult != ERROR_NO_MORE_ITEMS );
}

CEasyEnumProvider::CEasyEnumProvider()
				  :CEasyEnumNetResourceAbstract()
{
}

CEasyEnumProvider::~CEasyEnumProvider()
       
{

}


